body {
    background: linear-gradient(135deg, red, black);
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.container-pai {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px;
    width: 36%;
}

.container {
    background: white;
    width: 100%;
    max-width: 750px;
    padding: 36px 30px;
    border-radius: 18px;
    box-shadow: 0 15px 40px rgba(0, 0, 0, 0.2);
    display: flex;
    flex-direction: column;
    gap: 15px;
}

h1 {
    font-size: 2.4rem;
    font-weight: bold;
    text-align: center;
    background: linear-gradient(90deg,
            #5a0000,
            #b30000,
            #ff0000,
            #b30000,
            #5a0000);
    background-size: 200% auto;
    color: transparent;
    background-clip: text;
    -webkit-background-clip: text;
    animation: brilho 3s linear infinite;
}

@keyframes brilho {
    0% {
        background-position: 0% center;
    }

    100% {
        background-position: 200% center;
    }
}

.subtitle {
    text-align: center;
    margin-bottom: 8px;
    color: #665;
    font-size: 14px;
}

.price {
    text-align: center;
    font-weight: bold;
    margin-bottom: 10px;
    font-size: 14px;
}

.countdown-box {
    text-align: center;
    font-size: 16px;
    font-weight: bold;
    margin: 10px 0;
    background: #fff3cd;
    padding: 10px;
    border-radius: 10px;
    border: 1px solid #ffeeba;
}

#countdown {
    font-size: 22px;
    color: #b30000;
    margin-top: 5px;
    letter-spacing: 2px;
    animation: pulsar 1.5s infinite;
}

@keyframes pulsar {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.05);
    }

    100% {
        transform: scale(1);
    }
}

.premio-box {
    flex-direction: column;
    align-items: center;
    gap: 12px;
    margin: 10px 0 20px 0;
    text-align: center;
    background: #fff3cd;
    padding: 8px 15px;
    border-radius: 8px;
    font-weight: 600;
    display: inline-block;
}

.ovo {
    height: 22rem;
    width: 22rem;
    object-fit: contain;
    margin: auto;
    display: block;
    animation: flutuar 4s ease-in-out infinite;
    transition: 0.4s;
}

.ovo:hover {
    filter: drop-shadow(0 0 15px rgba(255, 200, 0, 0.7));
    transform: scale(1.05);
}

.premio {
    background: #fff3cd;
    border: 1px solid #ffeeba;
    padding: 10px 16px;
    border-radius: 10px;
    font-size: 14px;
    color: #856404;
    max-width: 100%;
    text-align: center;
}

@keyframes flutuar {
    0% {
        transform: translateY(0px);
    }

    50% {
        transform: translateY(-8px);
    }

    100% {
        transform: translateY(0px);
    }
}

.counter {
    text-align: center;
    font-size: 14px;
    margin-bottom: 15px;
    color: #777;
}

.legend {
    display: flex;
    justify-content: center;
    gap: 20px;
    font-size: 13px;
    margin: 10px 0 15px 0;
}

.legend span {
    display: flex;
    align-items: center;
    gap: 5px;
}

.box {
    width: 14px;
    height: 14px;
    border-radius: 4px;
}

.available {
    background: #f1f1f1;
}

.selected {
    background: #4caf50;
}

.sold {
    background: #e53935;
}

.reserved {
    background: #facc15;
}

.barra {
    width: 100%;
    height: 22px;
    background: #eee;
    border-radius: 20px;
    overflow: hidden;
    margin-bottom: 10px;
    box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.2);
}

.progresso {
    height: 100%;
    width: 0%;
    background: linear-gradient(90deg, #22c55e, #4caf50, #16a34a);
    border-radius: 20px;
    transition: width 0.6s ease;
    position: relative;
    overflow: hidden;
}

#progresso {
    height: 20px;
    background: linear-gradient(90deg, #00c6ff, #0072ff);
    border-radius: 10px;
    transition: width 0.5s ease;
}

.porcentagem {
    text-align: center;
    font-size: 13px;
    font-weight: bold;
    color: #555;
    margin-bottom: 15px;
}

.progresso::after {
    content: '';
    position: absolute;
    top: 0;
    left: -40px;
    width: 40px;
    height: 100%;
    background: rgba(255, 255, 255, 0.4);
    animation: brilhoBarra 2s linear infinite;
}

@keyframes brilhoBarra {
    0% {
        transform: translateX(-40px);
    }

    100% {
        transform: translateX(620px);
    }
}

.numbers {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(45px, 1fr));
    gap: 10px;
    margin-top: 20px;
    max-height: 350px;
    overflow-y: auto;
    padding: 5px;
    opacity: 0;
    transform: scale(0.8);
    transition: all 0.3s ease;
    animation: aparecer 0.3s forwards;
}

.number {
    padding: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    cursor: pointer;
    background: #f1f1f1;
    font-weight: bold;
    transition: all 0.25s ease;
    opacity: 0;
    transform: scale(0.8);
    transition: transform 0.2;
    animation: aparecer 0.3s forwards;
}

.number:hover {
    background: #901515;
    color: white;
    transform: scale(1.12) rotate(2deg);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
}

.number.sold {
    background: #e53935;
    color: white;
    cursor: not-allowed;
}

.number.selected {
    background: #4caf50;
    color: white;
    border-color: #4caf50;
    transform: scale(1.1);
    box-shadow: 0 0 8px rgba(76, 175, 80, 0.6);
}

.number.selected::after {
    content: "";
    position: absolute;
    inset: -3px;
    border-radius: 8px;
    background: linear-gradient(45deg, #22c55e, #4ade80, #22c55e);
    z-index: -1;
    filter: blur(6px);
    opacity: 0.6;
}

.number.reserved {
    background: #facc15;
    color: #000;
    cursor: not-allowed;
}

.numbers::-webkit-scrollbar {
    width: 8px;
}

.numbers::-webkit-scrollbar-thumb {
    background: #b30000;
    border-radius: 10px;
}

.numbers::-webkit-scrollbar-track {
    background: #eee;
}

.number:not(.sold):not(.reserved):hover {
    color: white;
    transform: scale(1.12) rotate(2deg);
}

@keyframes shake {
    0% {
        transform: translateX(0)
    }

    25% {
        transform: translateX(-4px)
    }

    50% {
        transform: translateX(4px)
    }

    75% {
        transform: translateX(-4px)
    }

    100% {
        transform: translateX(0)
    }
}

.number.sold-click {
    animation: shake 0.3s;
}

.summary {
    background: #fafafa;
    padding: 12px;
    border-radius: 10px;
    margin-bottom: 15px;
    font-size: 14px;
}

@keyframes aparecer {
    to {
        opacity: 1;
        transform: scale(1);
    }
}

input,
button,
#turma {
    width: 100%;
    padding: 12px;
    border-radius: 8px;
    border: 1px solid #ccc;
    font-size: 15px;
    color: #665;
}

button {
    background: linear-gradient(45deg, #25D366, #1ebe5b);
    color: white;
    border: none;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.25s;
}

button:hover {
    transform: scale(1.05);
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.25);
}

button:disabled {
    background: #9e9e9e;
    cursor: not-allowed;
}

.toast {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    background: red;
    color: white;
    padding: 12px 20px;
    border-radius: 8px;
    font-weight: bold;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    opacity: 0;
    pointer-events: none;
    transition: .3s;
    z-index: 9999;
}

.toast.show {
    opacity: 1;
    transform: translateX(-50%) translateY(0);
}

.payment-info {
    background: #fff3cd;
    border: 1px solid #ffeeba;
    padding: 12px;
    border-radius: 8px;
    margin-top: 10px;
    font-size: 14px;
    color: #856404;
    text-align: center;
}

.payment-info a {
    color: #0d6efd;
    text-decoration: none;
    font-weight: bold;
}

.instas {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #856404;
    background: #fff3cd;
    border: 1px solid #ffeeba;
    border-radius: 8px;
    padding: 12px 5px 10px 5px;
    margin-top: 5px;
    font-size: 14px;
}

.instas a {
    display: flex;
    gap: 8px;
    font-weight: bold;
    text-align: center;
    margin-left: 2.5em;
}

.instas a .dev-link {
    color: rgb(247, 103, 103);
    transition: 0.3s;
    display: flex;
    align-items: center;
    gap: 8px;
    font-weight: bold;
    width: 130px;
}

.instas a .dev-link:hover {
    color: rgb(224, 73, 73);
    text-decoration: underline;
}

.lista-devs {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 14px;
    color: #856404;
    padding: 0.4rem;
    gap: 3px;
}

.icon {
    width: 20px;
}

#pixKey {
    color: #0d6efd;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

#pixKey:hover {
    color: #0a58ca;
    text-decoration: underline;
}

.egg {
    position: fixed;
    top: -50px;
    font-size: 24px;
    animation: fall linear forwards;
    pointer-events: none;
    z-index: 9999;
}

.confete {
    position: fixed;
    width: 8px;
    height: 8px;
    opacity: 0.9;
    background: red;
    top: -10px;
    z-index: 9999;
    animation: cairConfete linear forwards;
}

@keyframes cairConfete {
    0% {
        transform: translateY(-10px) rotate(0deg);
    }

    100% {
        transform: translateY(110vh) rotate(720deg);
    }
}

@keyframes fall {
    to {
        transform: translateY(110vh) rotate(360deg);
        opacity: 0.8;
    }
}

@media (max-width: 1024px) {
    .container-pai {
        width: 90%;
    }

    .ovo {
        height: 19rem;
        width: 19rem;
    }

    .premio {
        font-size: 20px;
        padding: 8px 12px;
    }
}

@media (max-width: 600px) {
    h1 {
        font-size: 1.6rem;
        letter-spacing: 1px;
        text-align: center;
    }

    body {
        padding: 15px;
    }

    .container-pai {
        width: 110%;
    }

    .container {
        width: 100%;
        padding: 20px;
    }

    .ovo {
        height: 10rem;
        width: 10rem;
    }

    .premio {
        font-size: 12px;
        padding: 8px 12px;
    }

    .number {
        padding: 8px;
        font-size: 13px;
    }

    .legend {
        flex-wrap: wrap;
    }

    .sala {
        flex-direction: column;
    }
}